# Uses of Interface
javax.sound.midi.Soundbank

Packages that use Soundbank
Package
Description
javax.sound.midi
Provides interfaces and classes for I/O, sequencing, and synthesis of MIDI (Musical Instrument Digital Interface) data.
javax.sound.midi.spi
Supplies interfaces for service providers to implement when offering new MIDI devices, MIDI file readers and writers, or sound bank readers.

## Uses of Soundbank in javax.sound.midi

Methods in javax.sound.midi that return Soundbank
Modifier and Type
Method
Description
`Soundbank`
Synthesizer.`getDefaultSoundbank()`
Obtains the default soundbank for the synthesizer, if one exists.
`static Soundbank`
MidiSystem.`getSoundbank​(File file)`
Constructs a `Soundbank` by reading it from the specified `File`.
`static Soundbank`
MidiSystem.`getSoundbank​(InputStream stream)`
Constructs a MIDI sound bank by reading it from the specified stream.
`static Soundbank`
MidiSystem.`getSoundbank​(URL url)`
Constructs a `Soundbank` by reading it from the specified URL.
`Soundbank`
SoundbankResource.`getSoundbank()`
Obtains the sound bank that contains this `SoundbankResource`.
Methods in javax.sound.midi with parameters of type Soundbank
Modifier and Type
Method
Description
`boolean`
Synthesizer.`isSoundbankSupported​(Soundbank soundbank)`
Informs the caller whether this synthesizer is capable of loading instruments from the specified soundbank.
`boolean`
Synthesizer.`loadAllInstruments​(Soundbank soundbank)`
Loads onto the `Synthesizer` all instruments contained in the specified `Soundbank`.
`boolean`
Synthesizer.`loadInstruments​(Soundbank soundbank, Patch[] patchList)`
Loads the instruments referenced by the specified patches, from the specified `Soundbank`.
`void`
Synthesizer.`unloadAllInstruments​(Soundbank soundbank)`
Unloads all instruments contained in the specified `Soundbank`.
`void`
Synthesizer.`unloadInstruments​(Soundbank soundbank, Patch[] patchList)`
Unloads the instruments referenced by the specified patches, from the MIDI sound bank specified.
Constructors in javax.sound.midi with parameters of type Soundbank
Modifier
Constructor
Description
`protected`
`Instrument​(Soundbank soundbank, Patch patch, String name, Class<?> dataClass)`
Constructs a new MIDI instrument from the specified `Patch`.
`protected`
`SoundbankResource​(Soundbank soundBank, String name, Class<?> dataClass)`
Constructs a new `SoundbankResource` from the given sound bank and wavetable index.

## Uses of Soundbank in javax.sound.midi.spi

Methods in javax.sound.midi.spi that return Soundbank
Modifier and Type
Method
Description
`abstract Soundbank`
SoundbankReader.`getSoundbank​(File file)`
Obtains a soundbank object from the `File` provided.
`abstract Soundbank`
SoundbankReader.`getSoundbank​(InputStream stream)`
Obtains a soundbank object from the `InputStream` provided.
`abstract Soundbank`
SoundbankReader.`getSoundbank​(URL url)`
Obtains a soundbank object from the `URL` provided.